ElasticSearch-Fehler nach Upgrade

  • Affected Version
    WoltLab Suite 5.4

    Bedingt durch diesen Commit funktioniert die Suche mit ElasticSearch nicht mehr. Es wäre vermutlich sinnvoller gewesen, den Umbau an der Methode erst vorzunehmen, wenn auch das aktualisierte ElasticSearch-Plugin veröffentlicht wurde.


    Ich habe übergangsweise die AbstractSearchEngine.class.php aus 5.3 eingespielt.


    Natürlich könnte man auch einfach vorerst auf MySQL umstellen, allerdings müssten dann halt auch alle Indizes neu erstellt werden, was bei großen Communities vielleicht nicht so prickelnd ist. Zumal dann in der Übergangszeit die Indizes in ES nicht mehr konsistent sind und daher dann später auch dafür neu erzeugt werden müssten.


    Und ja, mir ist natürlich klar, dass der produktive Einsatz der aktuellen 5.4 nicht empfohlen wird, allerdings kann ich meinem Kunden das ja nicht verbieten :D Nur dauert das Erneuern der Indizes bei dem auch mal eben 6-8 Stunden :(

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!